QGIS Application - Bug report #16766

Data defined Assistant: closing the dialog without setting an expression invalidates the widget

2017-06-29 12:42 PM - Harrissou Santanna

Status: Open
Priority: Normal
Assignee:

Category: Expressions

Affected QGIS version:3.0.0
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution:

Copied to github as #: 24665

Description

| thought | had reported this issue but | couldn't find it in the tracker and given that it's still active...

Open a layer property dialog, Symbology tab
Select a parameter with a data-defined widget

Click the widget, choose Assistant... opening the DD configuration dialog

Close the new dialog without any change

The DD widget becomes red and is set with an errored expression.

| think that closing the dialog without any change shouldn't change DD widget expression.

Btw, hard to find the right category for this kind of issue

Associated revisions

Revision 4f9e2a5f - 2017-11-26 09:01 PM - Harrissou Santanna

Do not change property widget status if the dialog is rejected

refs #16766

History

#1 - 2018-02-28 10:27 AM - Harrissou Santanna
- Affected QGIS version changed from master to 3.0.0

Things have been fixed when using the layer properties dialog but not in the styling panel
